Page MenuHomePhabricator

Add ProofreadPage status to MediaWiki's info action
Closed, ResolvedPublic

Description

The output of MediaWiki's info action should include ProofreadPage status.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=28894

Details

Reference
bz41369

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:14 AM
bzimport set Reference to bz41369.
bzimport added a subscriber: Unknown Object (MLST).

What is "ProofreadPage status"? Are you sure it's easy?

Thanks for clarifying. In the extension, a message calls it "proofreading status" (I think) and another "page status" (it's also in the screenshot for the help page), and the docs talk of both "page quality" and "page validation".
Some consistency fixes might be needed in the extension before choosing the name in the info action.

Change 117620 had a related patch set uploaded by Gerrit Patch Uploader:
Add proofreading status (quality level) to action=info

https://gerrit.wikimedia.org/r/117620

Change 117620 merged by jenkins-bot:
Add proofreading status (quality level) to action=info

https://gerrit.wikimedia.org/r/117620

Tpt added a comment.Mar 8 2014, 7:03 PM

The change that implements this (made by PiRSquared17) has just been merged. Should be deployed on Wikisource on Tuesday 18th.

GOIII moved this task from Backlog to Done on the ProofreadPage board.Jun 12 2016, 3:46 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 12 2016, 3:46 AM